using System;

namespace VCommon.VAutoMapper
{
    [AttributeUsage(AttributeTargets.Class, Inherited = false, AllowMultiple = true)]
    public sealed class AutoMapFromAttribute : Attribute
    {
        public Type[] FromTypes { get; }

        public AutoMapFromAttribute(params Type[] fromTypes)
        {
            FromTypes = fromTypes;
        }
    }
}